/* ====================================================================
 * Copyright (c) 2003-2006, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_POSTPROGRESSCALLBACK_H
#define _SC_POSTPROGRESSCALLBACK_H

// sc
#include "commands/CmdProgressCallback.h"
class ScParam;
class Cancel;

// qt
class QObject;

/**
 * CmdProgressCallback implementation.
 */
class PostProgressCallback : public CmdProgressCallback
{
public:
  PostProgressCallback( QObject* target );

  void started( long id, ScParam*, Cancel* );
  void finished( long id, ScParam*, double ms = 0.0 );
  void time( long id, double );

  void setTime( bool b );

private:
  QObject* _target;
  bool     _time;
};


#endif // _SC_POSTPROGRESSCALLBACK_H
